Get a run with its steps
curl --request GET \
--url https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "power",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"room": "<string>",
"building_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"building": "<string>",
"status": "pending",
"phase": "pending",
"scheduled_at": "2023-11-07T05:31:56Z",
"steps_total": 123,
"steps_passed": 123,
"steps_failed": 123,
"steps": [
{
"index": 123,
"name": "<string>",
"type": "<string>",
"passed": true,
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "<string>",
"expected": "<unknown>",
"actual": "<unknown>",
"readings": [
{
"device": "<string>",
"source": "fresh",
"at": "2023-11-07T05:31:56Z",
"age_s": 123
}
],
"error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"routine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"routine": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"powered_on_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"failure_reason": "<string>"
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}Room Readiness
Get a run with its steps
One run with every step of its test routine, in order: what was checked, on which device, what was expected and what was found. Requires the nightly.view scope.
GET
/
pub
/
v1
/
room-readiness
/
runs
/
{id}
Get a run with its steps
curl --request GET \
--url https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.involvecloud.com/pub/v1/room-readiness/runs/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "power",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"room": "<string>",
"building_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"building": "<string>",
"status": "pending",
"phase": "pending",
"scheduled_at": "2023-11-07T05:31:56Z",
"steps_total": 123,
"steps_passed": 123,
"steps_failed": 123,
"steps": [
{
"index": 123,
"name": "<string>",
"type": "<string>",
"passed": true,
"device_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"device": "<string>",
"expected": "<unknown>",
"actual": "<unknown>",
"readings": [
{
"device": "<string>",
"source": "fresh",
"at": "2023-11-07T05:31:56Z",
"age_s": 123
}
],
"error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"routine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"routine": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"powered_on_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"failure_reason": "<string>"
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}Updated 23 Oct 2026 15:20 · page 97a4fd3
Authorizations
Response
The run and its steps.
⌘I